List encounters

Returns normalized Branches encounters for the authenticated workspace.

Query Parameters
  • external_id
    Type: string

    Return encounters with this caller-provided external id.

  • claim_status
    • Type: string · enum

      Return encounters whose latest claim has this status.

      values
      • draft
      • submitted_to_payer
      • missing_information
      • submission_bounced
      • not_billable
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Maximum number of encounters to return. Defaults to 100.

  • page_token
    Type: string

    Pagination cursor returned as next_page_token.

Responses
  • application/json
  • 401

    Missing or invalid API key.

Request Example for get/encounters
curl 'https://api.withbranches.com/encounters?external_id=&claim_status=null&limit=25&page_token=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "external_id": "string",
      "created_at": "2026-06-17T23:30:23.824Z",
      "source": "api",
      "metadata": null,
      "schema_instances": [
        {
          "schema_id": "string",
          "content": {}
        }
      ],
      "patient_id": null,
      "service_facility_id": null,
      "latest_claim_id": null,
      "initial_claim_status": null,
      "initial_patient_control_number": null,
      "last_event_at": null,
      "latest_claim": {
        "id": "string",
        "created_at": "2026-06-17T23:30:23.824Z",
        "status": "draft",
        "status_changed_at": "2026-06-17T23:30:23.824Z",
        "last_checked_at": null,
        "processing_started_at": null,
        "processing_ended_at": null,
        "patient_control_number": "string",
        "patient": {
          "first_name": "string",
          "last_name": "string",
          "gender": "male",
          "external_id": "string",
          "date_of_birth": "string",
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "AA",
            "zip_code": "string",
            "zip_plus_four_code": "string"
          },
          "phone_numbers": [],
          "phone_consent": true,
          "email": "string",
          "email_consent": true,
          "auto_charge_consent": true,
          "non_insurance_payers": [
            "string"
          ],
          "non_insurance_payers_info": []
        },
        "billing_provider": {
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "AA",
            "zip_code": "string",
            "zip_plus_four_code": "string"
          },
          "tax_id": "string",
          "npi": "string",
          "first_name": null,
          "last_name": null,
          "organization_name": null,
          "taxonomy_code": null,
          "provider_commercial_license_type": null,
          "secondary_identification": null
        },
        "rendering_provider": {
          "npi": "string",
          "first_name": null,
          "last_name": null,
          "organization_name": null,
          "taxonomy_code": null,
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "AA",
            "zip_code": "string",
            "zip_plus_four_code": "string"
          },
          "secondary_identification": null
        },
        "diagnoses": [
          {
            "code_type": "ABF",
            "code": "string",
            "name": "string",
            "present_on_admission_indicator": "YES"
          }
        ],
        "service_lines": [
          {
            "procedure_code": "string",
            "quantity": 1,
            "units": "MJ",
            "diagnosis_pointers": [
              0
            ],
            "modifiers": [
              "string"
            ],
            "charge_amount_cents": 1,
            "description": "string",
            "date_of_service": "string",
            "end_date_of_service": "string",
            "place_of_service_code": "10",
            "has_epsdt_indicator": true,
            "has_family_planning_indicator": true,
            "drug_identification": null,
            "ordering_provider": null,
            "test_results": [],
            "note": "string",
            "prior_authorization_number": "string",
            "external_id": "string"
          }
        ],
        "service_facility": {
          "service_facility_id": "string",
          "organization_name": "string",
          "npi": "string",
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "AA",
            "zip_code": "string",
            "zip_plus_four_code": "string"
          },
          "secondary_identification": "string",
          "mammography_certification_number": "string"
        },
        "subscriber_primary": {
          "first_name": "string",
          "last_name": "string",
          "gender": "male",
          "patient_relationship_to_subscriber_code": "10",
          "insurance_card": {
            "member_id": "string",
            "payer_name": "string",
            "payer_id": "string",
            "group_number": "string",
            "plan_name": "string",
            "plan_type": "string",
            "insurance_type": "string",
            "payer_plan_group_id": "string",
            "payer_address": {
              "address1": "string",
              "address2": "string",
              "city": "string",
              "state": "AA",
              "zip_code": "string",
              "zip_plus_four_code": "string"
            },
            "rx_bin": "string",
            "rx_pcn": "string",
            "image_url_front": "string",
            "image_url_back": "string",
            "emr_payer_crosswalk": "HEALTHIE",
            "payer_plan_group_name": "string",
            "claim_filing_code": "string"
          },
          "date_of_birth": "string",
          "address": {
            "address1": "string",
            "address2": "string",
            "city": "string",
            "state": "AA",
            "zip_code": "string",
            "zip_plus_four_code": "string"
          }
        },
        "payer_id": null,
        "payer_name": null,
        "patient_authorized_release": true,
        "benefits_assigned_to_provider": true,
        "provider_accepts_assignment": true,
        "billable_status": "BILLABLE",
        "responsible_party": "INSURANCE_PAY",
        "place_of_service_code": "string",
        "date_of_service": null,
        "resubmission_original_claim_id": null,
        "resubmission_action": null,
        "original_payer_claim_control_number": null,
        "stedi_transaction_ids": [
          "string"
        ]
      }
    }
  ],
  "next_page_token": null,
  "prev_page_token": null
}